import { ReactElement } from 'react';
import { PageData } from '@rspress/shared';
declare global {
    interface Window {
        __MODERN_PAGE_DATA__: any;
    }
}
interface IDataContext {
    data: PageData;
    setData?: (data: PageData) => void;
}
interface IThemeContext {
    theme: 'light' | 'dark';
    setTheme?: (theme: 'light' | 'dark') => void;
}
export declare const DataContext: import("react").Context<IDataContext>;
export declare const ThemeContext: import("react").Context<IThemeContext>;
export declare function usePageData(): PageData;
export declare function useLang(): string;
export declare function useVersion(): string;
export declare function useDark(): boolean;
export declare function useI18n<T = Record<string, Record<string, string>>>(): (key: keyof T) => any;
declare global {
    interface Document {
        startViewTransition: (callback: () => void) => void;
    }
}
export declare function useViewTransition(dom: ReactElement): ReactElement<any, string | import("react").JSXElementConstructor<any>>;
export {};
